Bug 850593 - [abrt] rhythmbox-2.97-1.fc17: _int_malloc: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: _int_malloc: Process /usr/bin/rhythmbox was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c943600a91ba8fc4e24df448c1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 18:05 EDT by Rob
Modified: 2013-07-31 16:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: open_fds (4.61 KB, text/plain)
2012-08-21 18:05 EDT, Rob
no flags Details
File: build_ids (9.81 KB, text/plain)
2012-08-21 18:05 EDT, Rob
no flags Details
File: dso_list (26.10 KB, text/plain)
2012-08-21 18:05 EDT, Rob
no flags Details
File: maps (117.17 KB, text/plain)
2012-08-21 18:06 EDT, Rob
no flags Details
File: backtrace (119.78 KB, text/plain)
2012-08-21 18:06 EDT, Rob
no flags Details

  None (edit)
Description Rob 2012-08-21 18:05:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        Playing music and crashed
crash_function: _int_malloc
executable:     /usr/bin/rhythmbox
kernel:         3.5.1-1.fc17.x86_64
pid:            1926
remote_result:  NOTFOUND
time:           Tue 21 Aug 2012 09:35:29 PM BST
uid:            1000

backtrace:      Text file, 122654 bytes
build_ids:      Text file, 10045 bytes
dso_list:       Text file, 26729 bytes
maps:           Text file, 119983 bytes
open_fds:       Text file, 4723 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Rob/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x7ccaa _int_malloc libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7fc73 malloc libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4d26f g_malloc libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x62ccc g_strdup libglib-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x90a29 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x90afd rb_ext_db_key_copy librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x92ce7 rb_ext_db_request librhythmbox-core.so.6 -
:f96f83dc32b491475fa341a88e6498a0c5ab4ef4 0x2a92 - libnotification.so -
:f96f83dc32b491475fa341a88e6498a0c5ab4ef4 0x2efc - libnotification.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x5d3a1 - librhythmbox-core.so.6 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xdb352 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xdbb0b - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xdce31 - librhythmbox-core.so.6 -
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce 0x33977 - libgstreamer-0.10.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97f5c g_application_run libgio-2.0.so.0 -
:a87bd1401d9463e0bf391e3f95653ed1121ee807 0x115f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1298
:HOSTNAME=Rob.PC
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/Rob/keyring-08Nus3/gpg:0:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6f17fbb08c33364e5a5d93c400000013-1345572221.556623-575868913
:LIBRARY_PATH=:/usr/local/cuda/lib64:/usr/local/cuda/lib:/usr/lib64/nvidia
:GNOME_KEYRING_CONTROL=/run/user/Rob/keyring-08Nus3
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=Rob
:LD_LIBRARY_PATH=:/usr/local/cuda/lib64:/usr/local/cuda/lib:/usr/lib64/nvidia
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/run/user/Rob/keyring-08Nus3/ssh
:USERNAME=Rob
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/Rob
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Rob/.local/bin:/home/Rob/bin:/usr/local/cuda/bin
:QT_IM_MODULE=xim
:PWD=/home/Rob
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1159
:GDL_STARTUP=/home/Rob/.gdl_startup
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/Rob
:XDG_SEAT=seat0
:PYTHONPATH=/home/Rob/Desktop/fits/kicIn:/home/Rob/Desktop/fits:/usr/lib/python2.7/site-packages/
:LOGNAME=Rob
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VEREwha4z9,guid=2ade2789c03de1e19d85db100000001f
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Rob
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-Rob-MhYKP0/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1331,unix/unix:/tmp/.ICE-unix/1331
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/rhythmbox/1344-1-Rob.PC_TIME4498107

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31460                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31460                31460                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Aug 21 21:35:29 Rob kernel: [ 9138.504410] rhythmbox[1926]: segfault at 65726152 ip 000000344007ccaa sp 00007fffb5a56cd0 error 4 in libc-2.15.so[3440000000+1ac000]
:Aug 21 21:35:30 Rob abrt[6618]: Saved core dump of pid 1926 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-08-21-21:35:29-1926 (181370880 bytes)
Comment 1 Rob 2012-08-21 18:05:51 EDT
Created attachment 606069 [details]
File: open_fds
Comment 2 Rob 2012-08-21 18:05:54 EDT
Created attachment 606070 [details]
File: build_ids
Comment 3 Rob 2012-08-21 18:05:56 EDT
Created attachment 606071 [details]
File: dso_list
Comment 4 Rob 2012-08-21 18:06:00 EDT
Created attachment 606072 [details]
File: maps
Comment 5 Rob 2012-08-21 18:06:04 EDT
Created attachment 606073 [details]
File: backtrace
Comment 6 Fedora End Of Life 2013-07-03 16:42:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:57:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.